nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   General Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=27)
-   -   suse 9, NVidia 5336 Quake3 (http://www.nvnews.net/vbulletin/showthread.php?t=26424)

gdh 03-23-04 05:42 AM

suse 9, NVidia 5336 Quake3
 
I have a correctly configured suse 9 box with the latest Nvidia drivers.
(glxgears gives me 2000+ fps, ut2004demo works just fine)
but when I try to start quake3 I get the following error message:

----- R_Init -----
...loading /usr/lib/libGL.so: Received signal 8, exiting...

The NVidia readme indictaes that this may be a dlopen issue, but also states that such issues are caused by the glibc version:

Q: Some OpenGL applications (like Quake3 Arena) crash when I start them
on Red Hat Linux 9.0.

A: Some versions of the glibc package shipped by Red Hat that support
TLS do not properly handle using dlopen() to access shared libraries
which utilize some TLS models. This problem is exhibited, for example,
when Quake3 Area dlopen()'s NVIDIA's libGL library. Please obtain
at least glibc-2.3.2-11.9 which is available as an update from Red Hat.

However suse 9 ships with glibc-2.3.2-88 (which should be more recent).

Any clue ?


:confused: :confused:

SuLinUX 03-23-04 10:10 AM

Re: suse 9, NVidia 5336 Quake3
 
You need the lastest linux point release patch, quake3 would'nt run without it for me in SuSE 9, but SuSE 8.2 was fine.

linuxq3apoint-1.32b-3.x86.run is the one, get it HERE


All times are GMT -5. The time now is 05:40 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.